ASN(3pm)

NAME
NetSNMP::ASN - Perl extension for SNMP ASN.1 types

SYNOPSIS
  use NetSNMP::ASN qw(:all);
  my $asn_int = ASN_INTEGER;

DESCRIPTION
The NetSNMP::ASN module provides the ASN.1 types for SNMP.

  EXPORT
None by default.

  Exportable constants
  ASN_APPLICATION
  ASN_BIT_STR
  ASN_BOOLEAN
  ASN_COUNTER
  ASN_COUNTER64
  ASN_DOUBLE
  ASN_FLOAT
  ASN_GAUGE
  ASN_INTEGER
  ASN_INTEGER64
  ASN_IPADDRESS
  ASN_NULL
  ASN_OBJECT_ID
  ASN_OCTET_STR
  ASN_OPAQUE
  ASN_SEQUENCE
  ASN_SET
  ASN_TIMETICKS
  ASN_UNSIGNED
  ASN_UNSIGNED64

AUTHOR
Wes Hardaker, <hardaker@users.sourceforge.net>

SEE ALSO
SNMP(3pm), NetSNMP::OID(3pm)

perl(1).